{{- if .Values.apis.verzoekenValidation.enabled -}}
{{- if .Values.apis.verzoekenValidation.autoscaling.enabled }}
apiVersion: global.autoscaling/v2beta1
kind: HorizontalPodAutoscaler
metadata:
  name: {{ include "fullname" (list $ .Values.apis.verzoekenValidation.name) }}
  labels:
    {{- include "api-verzoeken-validation.labels" . | nindent 4 }}
spec:
  scaleTargetRef:
    apiVersion: apps/v1
    kind: Deployment
    name: {{ include "fullname" (list $ .Values.apis.verzoekenValidation.name) }}
  minReplicas: {{ .Values.apis.verzoekenValidation.autoscaling.minReplicas }}
  maxReplicas: {{ .Values.apis.verzoekenValidation.autoscaling.maxReplicas }}
  metrics:
    {{- if .Values.apis.verzoekenValidation.autoscaling.targetCPUUtilizationPercentage }}
    - type: Resource
      resource:
        name: cpu
        targetAverageUtilization: {{ .Values.apis.verzoekenValidation.autoscaling.targetCPUUtilizationPercentage }}
    {{- end }}
    {{- if .Values.apis.verzoekenValidation.autoscaling.targetMemoryUtilizationPercentage }}
    - type: Resource
      resource:
        name: memory
        targetAverageUtilization: {{ .Values.apis.verzoekenValidation.autoscaling.targetMemoryUtilizationPercentage }}
    {{- end }}
{{- end }}
{{- end }}
